Create a custom property
Custom Properties
Create a custom property
Creates a new custom property for a work item type.
POST
Create a custom property
Documentation Index
Fetch the complete documentation index at: https://developers.plane.so/llms.txt
Use this file to discover all available pages before exploring further.
Path parameters
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.The unique identifier of the project.
The unique identifier for the work item type.
Body parameters
Display name shown in the UI.
Description of the custom property.
Type of the property. Possible values:
TEXT, DATETIME, DECIMAL, BOOLEAN, OPTION, RELATION.Relation type if the property links to other entities. Possible values:
null, USER.Default value(s) for the property.
Validation rules applied to property values.
Whether this property is required when creating work items.
Whether this property is currently active.
Whether this property allows multiple values.
Array of option objects for OPTION type properties. This field can be used while creating a property with type OPTION to set options on the custom property during creation itself. Each option object can contain:
name(string): Name of the optiondescription(string): Description of the optionis_active(boolean): Whether the option is activesort_order(number): Sort order for the optionparent(string): Parent option ID for hierarchical optionsis_default(boolean): Whether this is the default optionlogo_props(object): Logo properties for the option
issue-types/options/add-dropdown-options.
